with Ada.Real_Time;       use Ada.Real_Time;
with NXT;                 use NXT;
with NXT.Touch_Sensors;   use NXT.Touch_Sensors;
with NXT.Motor_Controls;  use NXT.Motor_Controls;

package Tasks is

   procedure Background;

   private

   ------------------------------------
   --  Definition periods and times  --
   ------------------------------------
   Period_Movement : constant Time_Span := Milliseconds (20);
   Period_Display : constant Time_Span := Milliseconds (500);
   Offset : constant Time_Span := Milliseconds (500);
   Time_Zero : constant Time := Clock + Offset;

   --------------------------------
   --  Definition of used ports  --
   --------------------------------
   Touch_1 : Touch_Sensor (Sensor_1);
   Touch_2 : Touch_Sensor (Sensor_2);
   --Joystick_Motor_Id : constant Motor_Id := Motor_C;
   Right_Motor_Id : constant Motor_Id := Motor_A;
   Left_Motor_Id : constant Motor_Id := Motor_B;

   ----------------------------------
   --  Definition of motors speed  --
   ----------------------------------
   Speed_Full : constant Power_Percentage := 50;
   Speed_Half : constant Power_Percentage := 25;
   Speed_Stop : constant Power_Percentage := 0;

end Tasks;
